> For the complete documentation index, see [llms.txt](https://api-docs.rightsline.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.rightsline.com/search/search-entity.md).

# Entity search

### The entity search object

```javascript
{
  "keywords": "string",
  "query": {},
  "start": 0,
  "rows": 10,
  "cursorToken": "string",
  "sortOrders": [
    "string"
  ],
  "parentQuery": {},
  "childQuery": {}
}
```

## Entity search

<mark style="color:green;">`POST`</mark> `https://ris.rightsline.com/v4/:entityType/search`

This endpoint allows you to search for entities based on specific criteria.

#### Path Parameters

| Name       | Type   | Description                                                           |
| ---------- | ------ | --------------------------------------------------------------------- |
| entityType | string | The type of entity to search for. ex. deal, catalog-item, table, etc. |

#### Headers

<table><thead><tr><th>Name</th><th width="237">Type</th><th>Description</th></tr></thead><tbody><tr><td>x-api-key</td><td>string</td><td>Your company's API key.</td></tr><tr><td>Authentication</td><td>string</td><td>Authentication token.</td></tr></tbody></table>

#### Query Parameters

<table><thead><tr><th width="266">Name</th><th width="237">Type</th><th>Description</th></tr></thead><tbody><tr><td>extendedData</td><td>boolean (optional)</td><td>If true, returns <a href="/pages/-M91PpDSxq0UrMzgz0qN#characteristics-extended-optional">Extended Characteristics</a> in the response.</td></tr></tbody></table>

#### Request Body

| Name        | Type   | Description                                         |
| ----------- | ------ | --------------------------------------------------- |
| query       | object | The search query to match the entity.               |
| childQuery  | object | The search query to match the child of the entity.  |
| parentQuery | object | The search query to match the parent of the entity. |

{% tabs %}
{% tab title="200 A result set of entities matching the search query." %}

```javascript
{
  "numFound": 1,
  "entities": [
    {
      "id": 44,
      "revisionId": 0,
      "title": "Rights In",
      "template": {
        "fields": [],
        "templateId": 1,
        "templateName": "Rights In",
        "processId": 0,
        "processName": null
      },
      "status": {
        "statusId": 1,
        "statusName": "Active"
      },
      "characteristics": {
        "media_right": [
          {
            "id": 2,
            "value": "All Media"
          }
        ],
        "actual_term_start": "2020-02-25",
        "territory": [
          {
            "id": 1,
            "value": "Worldwide"
          }
        ],
        "actual_term_end": "2020-02-27",
        "language": [
          {
            "id": 4,
            "value": "All Languages"
          }
        ],
        "exclusivity": {
          "id": 2,
          "value": "Non-Exclusive"
        }
      },
      "comments": null,
      "createdById": 1,
      "createdDate": "2019-05-30T22:35:07.337Z",
      "lastUpdatedById": 1,
      "lastUpdatedDate": "2019-09-05T03:35:52.950Z"
    }
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.rightsline.com/search/search-entity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
